Bug 999842 - 'Backup Failed' message when external backup drive first inserted
'Backup Failed' message when external backup drive first inserted
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: deja-dup (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 05:05 EDT by Jonathan
Modified: 2016-12-20 07:41 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 07:41:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1619294 None None None 2016-09-01 09:19 EDT
Launchpad 617012 None None None Never

  None (edit)
Description Jonathan 2013-08-22 05:05:20 EDT
Description of problem:
An error message entitled 'Backup Failed' with the text 'An operation is already pending' is displayed when I first plug in by external backup drive and Deja Dup attempts to perform a scheduled backup, although it succeeds on subsequent attempts (either scheduled or manual).


Version-Release number of selected component (if applicable):
deja-dup 26.0-1
kernel   3.10.7-100
gnome    3.6.3

How reproducible:
always

Steps to Reproduce:
1. setup an automatic backup schema with removable drive (usb for me)
2. wait for backup reminder to tell you it's time to mount the backup target
3. mount drive

Actual results:
'Backup Failed' message when external backup drive first inserted 

Expected results:
correct backup

Additional info:
Comment 1 Jonathan 2013-10-04 05:23:50 EDT
still a problem in F19.
deja-dup.x86_64                             26.0-1.fc19
Comment 2 Rahul Sundaram 2013-10-04 12:43:02 EDT
Would you mind reporting this upstream at https://launchpad.net/deja-dup
Comment 3 Jonathan 2013-10-04 15:34:23 EDT
It's reported
https://bugs.launchpad.net/deja-dup/+bug/1062186
Comment 5 Michal Nowak 2014-04-11 15:58:29 EDT
Updated duplicity and DejaDup but got "Could not understand duplicity version.". Perhaps it will work after restart.
Comment 6 Rahul Sundaram 2014-04-11 18:01:11 EDT
Yeah.  Keep me posted on which Fedora version you are using as well
Comment 7 Michal Nowak 2014-04-12 03:03:27 EDT
One also needs to install python-lockfile otherwise:

~ $ deja-dup --backup
Traceback (most recent call last):
  File "/usr/bin/duplicity", line 34, in <module>
    from lockfile import FileLock
ImportError: No module named lockfile

(Interestingly ABRT won't catch it.)

~ $ rpmquery deja-dup duplicity
deja-dup-30.0-1.fc20.x86_64
duplicity-0.6.23-1.fc20.x86_64


Thought the bug 999842 is not fixed yet, still getting: "An operation is already pending".
Comment 8 Rahul Sundaram 2014-04-12 11:42:23 EDT
The lockfile issue is already fixed (1086848).  I will reset the status
Comment 9 Fedora End Of Life 2015-01-09 17:15:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Jonathan 2015-01-26 12:13:49 EST
Yes, this bug is still here unchanged.
Comment 11 Fedora Admin XMLRPC Client 2015-02-26 13:38:36 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora End Of Life 2016-07-19 06:17:38 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Scott 2016-08-31 21:34:10 EDT
Confirm still get the error in Fedora 24.
Comment 14 Gwyn Ciesla 2016-09-01 08:35:44 EDT
Does installing python-lockfile still correct the issue?
Comment 15 Ville Skyttä 2016-09-01 09:04:44 EDT
I have python-lockfile installed and always had it on F-23 and it does not correct the originally reported issue for me (so the "still" doesn't apply at least here).
Comment 16 Gwyn Ciesla 2016-09-01 09:19:19 EDT
Reported upstream:
https://bugs.launchpad.net/deja-dup/+bug/1619294
Comment 17 Fedora End Of Life 2016-11-24 06:01:57 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2016-12-20 07:41:21 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.